Short tip: YUM error: “xz compression not available”

While importing the recent EPEL7 YUM repositories I stumbled upon the following error:

# /usr/bin/spacewalk-repo-sync --channel epel-el7-x86_64 
> --url http://dl.fedoraproject.org/pub/epel/beta/7/x86_64/ 
> --type yum -c epel-el7-x86_64
Repo URL: http://dl.fedoraproject.org/pub/epel/beta/7/x86_64/
ERROR: xz compression not available

The solution was pretty easy – the following Python library was missing:

# yum install pyliblzma

The next import was working like a charm. 🙂

Sharing is caring


Tweet about this on TwitterShare on FacebookShare on Google+Share on LinkedInShare on XingShare on RedditPrint this pageEmail this to someone

Leave a Reply